# RoomMember class

An entity inside a MUC room. The name "member" here does not refer to an affiliation of member.

## Constructors

RoomMember (String nick, Affiliation affiliation, Role role)
  const

## Properties

affiliation → Affiliation
  The assigned affiliation.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
nick → String
  The entity's nickname.
  final
role → Role
  The assigned role.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

copyWith ({String? nick, Affiliation? affiliation, Role? role}) → RoomMember
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited